Announcement

#1 2010-06-30 07:18:54

Gijs
Guest

2.1.2 won't install with postgresql

Just downloaded 2.1.2 from the site. The file is still called 2.1.1.zip.

Anyway. installed on a clean system, filled in the form in the install.php, hit enter and.... nothing..

no error message from 2.1.2, no hints in postgresql-8.3-main.log. nothing in syslog, not in messages, or in apache2/access.log

 

#2 2010-06-30 07:31:10

Gijs
Guest

Re: 2.1.2 won't install with postgresql

Sorry -- I'd forgotten to select postgresql on the install page. But now I find that the downloaded package really is 2.1.1 and not 2.1.2 :-)

 

#3 2010-06-30 07:50:04

Gijs
Guest

Re: 2.1.2 won't install with postgresql

Found 2.1.2.zip installed it on a clean system:

Warning: pg_query() [function.pg-query]: Query failed: ERROR: syntax error at or near "cat_id" LINE 1: SELECT c.id cat_id, global_rank, ^ in (path) include/dblayer/functions_pgsql.inc.php on line 122
ic.image_id = i.id AND i.level<=8 GROUP BY c.id, c.global_rank
ERROR: syntax error at or near "cat_id" LINE 1: SELECT c.id cat_id, global_rank, ^


which is already known here:

http://piwigo.org/forum/viewtopic.php?pid=114517

 

#4 2010-06-30 08:38:15

Gijs
Guest

Re: 2.1.2 won't install with postgresql

Also, the md5sum given on the page http://piwigo.org/releases/2.1.2 is not the same as the one I get running md5sum piwigo-2.1.2.zip

 

#5 2010-06-30 10:56:37

plg
Piwigo Team
Nantes, France, Europe
2002-04-05
13182

Re: 2.1.2 won't install with postgresql

Gijs wrote:

Also, the md5sum given on the page http://piwigo.org/releases/2.1.2 is not the same as the one I get running md5sum piwigo-2.1.2.zip

You're right, sorry the md5sum is d7784cabce8d039369fc9769b03168bf (a small bug while releasing)


Latest blog post (November 9th 2018) Why Flickr could not remain free for ever

Offline

 

#6 2010-07-01 17:07:51

Gijs
Guest

Re: 2.1.2 won't install with postgresql

For other readers, I'm repeating what I posted in another thread here

I managed to fix the error by making three changes in the include/functions_user.inc.php



line 681
<    $query = 'SELECT c.id cat_id, global_rank';
>    $query = 'SELECT c.id AS cat_id, global_rank';

line 684
<   MAX(date_available) date_last, COUNT(date_available) nb_images
>   MAX(date_available) AS date_last, COUNT(date_available) AS nb_images

This allows me to complete the setup. I assume I will find other errors however :-/

Hope this helps others.

 

Board footer

Powered by FluxBB

github twitter facebook google+ newsletter Donate Piwigo.org © 2002-2019 · Contact